--- a/gi-gobject.cabal
+++ b/gi-gobject.cabal
@@ -29,7 +29,6 @@
       build-depends: base >= 4.7 && <5,
                      haskell-gi-base >= 0.24 && < 0.25,
                      haskell-gi >= 0.24.1 && < 0.25,
-                     haskell-gi-overloading < 1.1,
                      gi-glib == 2.0.*,
                      bytestring >= 0.10 && < 1,
                      containers >= 0.5 && < 1,
